Uses of Class
org.apache.juneau.bean.jsonrpc.JsonRpcRequest
Packages that use JsonRpcRequest
Package
Description
JSON-RPC 2.0 envelope beans.
Revision-neutral Model Context Protocol (MCP) client core - Streamable-HTTP transport orchestration, the
auth-token seam, and the pluggable response cache that per-revision
McpClient facades build on.Revision-neutral core for MCP endpoints built on
juneau-rest-server.-
Uses of JsonRpcRequest in org.apache.juneau.bean.jsonrpc
Methods in org.apache.juneau.bean.jsonrpc that return JsonRpcRequestModifier and TypeMethodDescriptionSets the request id.JsonRpcRequest.setJsonrpc(String value) Sets the JSON-RPC protocol version.Sets the JSON-RPC method name.Sets method parameters. -
Uses of JsonRpcRequest in org.apache.juneau.rest.client.mcp
Methods in org.apache.juneau.rest.client.mcp with parameters of type JsonRpcRequestModifier and TypeMethodDescriptionMcpDuplexDispatcher.dispatch(JsonRpcRequest request, BeanStore ctx) Dispatches a single server-initiated request to the registered handler.McpServerRequestHandler.handle(JsonRpcRequest request, BeanStore ctx) Handles a single server-initiated request.protected SseEventReaderAbstractMcpClient.openEventStream(JsonRpcRequest request) Opens a Server-Sent-Events stream on the configured endpoint by first POSTingrequestas the request body — for a revision-specific method (e.g.protected SseEventReaderAbstractMcpClient.openEventStream(JsonRpcRequest request, Map<String, String> httpHeaders) Opens a Server-Sent-Events stream on the configured endpoint by first POSTingrequestas the request body, with additional HTTP headers on the opening request — for a revision-specific method whose held-open SSE response must agree with a header-based method/name contract (e.g.AbstractMcpClient.send(JsonRpcRequest request) Sends a raw JSON-RPC request and returns the raw JSON-RPC response envelope.AbstractMcpClient.send(JsonRpcRequest request, Map<String, String> httpHeaders) Sends a raw JSON-RPC request and returns the raw JSON-RPC response envelope. -
Uses of JsonRpcRequest in org.apache.juneau.rest.server.mcp
Methods in org.apache.juneau.rest.server.mcp that return JsonRpcRequestMethods in org.apache.juneau.rest.server.mcp with parameters of type JsonRpcRequestModifier and TypeMethodDescriptionAbstractMcpRestServlet.handleMcp(JsonRpcRequest req, RestRequest restReq) MCP JSON-RPC endpoint.default ObjectMcpEndpointMixin.handleMcpRequest(JsonRpcRequest req, RestRequest restReq) Default MCP JSON-RPC endpoint handler.Constructors in org.apache.juneau.rest.server.mcp with parameters of type JsonRpcRequestModifierConstructorDescriptionMcpExchange(JsonRpcRequest request, UnaryOperator<String> headers) Constructor.